
%define name	rtmpdump-yle
%define version	1.4.6
%define rel	1

%define build_crypto 0

# YLE Areena apparently never needs crypto. If this changes, it needs
# to be enabled and package moved accordingly, as per standard rtmpdump
# package with crypto enabled.

%bcond_with plf

%if %with plf
%define build_crypto 1
%define distsuffix plf
%endif

Summary:	Downloader for YLE Areena, YleX Areena, and Elävä arkisto
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
URL:		http://users.tkk.fi/~aajanki/rtmpdump-yle/
Source:		http://users.tkk.fi/~aajanki/rtmpdump-yle/%name-%version.tar.gz
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	zlib-devel
%if %build_crypto
BuildRequires:	openssl-devel
%endif
BuildRequires:	libjson-devel

%description
RTMPDump-YLE (also known as yle-dl) is a command-line program for
downloading media files from the video streaming services of the
Finnish national broadcasting company YLE: YLE Areena, YleX Areena,
and Elävä arkisto.

RTMPDump-YLE can also handle live radio and TV broadcasts.

You can download files from these services for private use only.
Redistributing programs from these services without permission is
forbidden.

%prep
%setup -q
%apply_patches

%build
# there already is a generic shared librtmp package, thus
# we build the library statically:
%make XCFLAGS="%optflags" LDFLAGS="%ldflags" SHARED=no prefix=%{_prefix} \
%if !%build_crypto
	CRYPTO=
%endif
# empty line

%install
rm -rf %{buildroot}
%makeinstall_std prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir} SHARED=no

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.fi README.yle ChangeLog* TODO
%{_bindir}/rtmpdump-yle
%{_bindir}/yle-dl



%changelog

* Sat Apr 07 2012 anssi <anssi> 1.4.6-1.mga2
+ Revision: 229436
- new version 1.4.6
- update description and summary as per current upstream information
- drop now unneeded charset conversions and file removals, adopted
  upstream
- drop now unneeded patch for system json, fixed upstream
- imported package rtmpdump-yle


* Fri Nov 26 2010 Jani Välimaa <wally@mandriva.org> 1.3.1-1mdv2011.0
+ Revision: 601579
- new version 1.3.1
- drop upstream applied patch

  + Anssi Hannula <anssi@mandriva.org>
    - fix grammar in description

* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.2.4-1mdv2011.0
+ Revision: 575853
- initial Mandriva release

